View Issue Details

IDProjectCategoryView StatusLast Update
0000027GORM[Adventure PHP Framework] Neues Feature // New Featurepublic2018-08-25 16:45
ReporterjwlightingAssigned ToChristianAchatz 
PrioritylowSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target Version[Adventure PHP Framework] 4.0Fixed in Version[Adventure PHP Framework] 4.0 
Summary0000027: Tabellenprefixe ermöglichen
DescriptionDen GORM um die Möglichkeit, den Datentabellen ein Prefix zu geben, eerweitern
Additional Informationhttp://forum.adventure-php-framework.org/viewtopic.php?f=5&t=1411
TagsNo tags attached.
Codereferenz: ([Datei]:[Zeile])

Activities

ChristianAchatz

2014-05-06 15:44

administrator   ~0000330

Postponed to 2.2 to close 2.1 soon.

ChristianAchatz

2015-03-19 22:57

administrator   ~0000564

Postponed to 3.1 as no votes for 3.0 and team is packed with finishing 3.0.

ChristianAchatz

2016-02-13 13:38

administrator   ~0000666

Moved to 3.2 to close 3.1 (3.1 already delayed).

ChristianAchatz

2018-08-25 16:10

administrator   ~0000845

Implementation completed. See changes under https://github.com/AdventurePHP/code/commit/929da7d731948779ab4e3af063b5ebe66d267419.

ChristianAchatz

2018-08-25 16:18

administrator   ~0000846

Last edited: 2018-08-25 16:21

View 4 revisions

Feature can be activated for both object as well as relation definitions individually.

Examples:


1) Object definition:

; Prefix activated
[User]
DisplayName = "VARCHAR(100)"
TablePrefix = "foo"

; No prefix
[Group]
DisplayName = "VARCHAR(100)"


2) Relation definition:

; Prefix activated
[Application2Group]
Type = "COMPOSITION"
SourceObject = "Application"
TargetObject = "Group"
TablePrefix = "bar"

; No prefix
[Group2User]
Type = "ASSOCIATION"
SourceObject = "Group"
TargetObject = "User"

ChristianAchatz

2018-08-25 16:45

administrator   ~0000847

See https://github.com/AdventurePHP/docs/commit/235c558f000d4ad9185db8d2b6ce24e3626f199d for changes to the documentation.

Issue History

Date Modified Username Field Change
2013-05-23 18:41 jwlighting New Issue
2013-05-23 18:41 jwlighting Status new => assigned
2013-05-23 18:41 jwlighting Assigned To => Megger
2013-07-16 19:01 jwlighting Category Neues Feature => Neues Feature // New Feature
2013-11-14 11:08 Megger Assigned To Megger =>
2013-11-14 15:02 jwlighting Status assigned => new
2013-12-31 14:29 ChristianAchatz Target Version 2.0 => 2.1
2014-05-06 15:44 ChristianAchatz Note Added: 0000330
2014-05-06 15:44 ChristianAchatz Target Version 2.1 => 3.0
2015-03-19 22:57 ChristianAchatz Note Added: 0000564
2015-03-19 22:57 ChristianAchatz Target Version 3.0 => 3.1
2016-02-13 13:38 ChristianAchatz Note Added: 0000666
2016-02-13 13:38 ChristianAchatz Target Version 3.1 => 3.2
2016-03-23 14:01 ChristianAchatz Target Version 3.2 => 3.3
2016-08-10 14:22 ChristianAchatz Target Version 3.3 => 3.4
2017-09-08 15:24 ChristianAchatz Target Version 3.4 => 4.0
2018-08-25 16:10 ChristianAchatz Note Added: 0000845
2018-08-25 16:10 ChristianAchatz Assigned To => ChristianAchatz
2018-08-25 16:10 ChristianAchatz Status new => resolved
2018-08-25 16:10 ChristianAchatz Resolution open => fixed
2018-08-25 16:10 ChristianAchatz Fixed in Version => 4.0
2018-08-25 16:18 ChristianAchatz Note Added: 0000846
2018-08-25 16:19 ChristianAchatz Note Edited: 0000846 View Revisions
2018-08-25 16:20 ChristianAchatz Note Edited: 0000846 View Revisions
2018-08-25 16:21 ChristianAchatz Note Edited: 0000846 View Revisions
2018-08-25 16:45 ChristianAchatz Note Added: 0000847